/* ParserDocs.java
 * Copyright (C) 2011, Susana Ladra, all rights reserved.
 *
 * ParserDocs: Program to filter out XML-tags from INEX data set.
 *    only the text-content among XML tags is kept.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

import java.io.File;
import java.io.BufferedReader;
import java.io.FileReader;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;

import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;
 
public class ParserDocs {

		
	
		public static void parserAllFiles(File dir) {
		    if (dir.isDirectory()) {
		        String[] children = dir.list();
		        for (int i=0; i<children.length; i++) {
		            parserAllFiles(new File(dir, children[i]));
		        }
		    } else {
		        if(!dir.getAbsolutePath().contains("article.dtd"))
		 		        printElements(dir.getAbsolutePath());

		    }
		}
 
 

    
    
   static void printElements(String fileName)
   {
   	  try {
            DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
            DocumentBuilder db = dbf.newDocumentBuilder();
            File file = new File(fileName);
            if (file.exists()) {
                Document doc = db.parse(file);
                
      NodeList nl = doc.getElementsByTagName("article");
      Node n;
     
      for (int i=0; i<nl.getLength(); i++)
      {
         n = nl.item(i);
         String article = n.getTextContent();
      
         System.out.println("<article>"+article.replaceAll("\n"," ").replaceAll(" +"," ")+"</article>"); 
      }
      

     
      
    }
            } catch (Exception e) {
            System.out.println(e);
        }
   }
   
   
    
    public static void main(String[] args) {
 

        try{

	        File dir = new File(args[0]);
  	      parserAllFiles(dir);
        

      	}
	        catch(Exception e){
        }
    }
}
